Subject: RE: bug#65621: [PATCH] `dired-next-line' go to meaningful line

From: Drew Adams <[email-masked]>
Date: Fri, 1 Sep 2023 21:06:06 +0000

> Drew wants to skip the current directory and the parent directory;

No, he doesn't.  Not at all.  Definitely not.
I think maybe you misread what I wrote.

What I said was that for _vanilla_ Emacs some
actions aren't allowed on `.' and `..'.  And
so based on that, you or someone else (NOT I),
might want those lines, in addition to blank
lines, to be skipped over as "meaningless".

My main point in this thread is that directory
header lines (main dir and subdirs) are _not_
meaningless.  You _can_ perform actions on them,
so they should not be skipped when navigating.

(If you must make it possible to skip them as
an option, so be it.  But they shouldn't be
skipped by default, IMO.)

FWIW, Dired+ doesn't skip any lines, except
the final empty line at eob.

> someone (one of my classmates) said I should make it skip LICENSE
> because this file won't be touched again in the subsequent development
> process;
> I speculate that some people will also suggest that ".git" should be
> skipped.  They may say most people will never delve into this folder,
> though it needs to be displayed to indicate that the current directory
> is a Git repository (although there are other ways to remind of this).
> 
> So I decided to withdraw from the argument.  Making decisions for
> users has no benefits for me.  People have their own thoughts; just
> let them set the option themselves.
> 
> Any suggestion, Stefan and Drew?

In addition to the clarification I offered above,
I'd say that none of the complications you've
offered with this latest suggestion are helpful.
Let's keep it simple.  If users file enhancement
requests to allow other behaviors those can be
considered later.

I'd suggest that skipping over blank lines, if
you want to do that, is enough.  And offering
cycling is a nice-to-have, but is orthogonal to
the bug report.